Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.common
Class OperatingSystem

    java.lang.Object
      madkit.utils.common.OperatingSystem

    public class OperatingSystem

extends java.lang.Object

Contains operating system detection routines.

Version:
  $Id: OperatingSystem.java,v 1.1 2003/12/08 13:04:58 jferber Exp $
Author:
  Slava Pestov

Constructor Summary
`OperatingSystem()`

Method Summary
`static boolean` | `hasJava14()` Returns if Java 2 version 1.4 is in use.
`static boolean` | `isMacOS()` Returns if we're running MacOS X.
`static boolean` | `isMacOSLF()` Returns if we're running MacOS X and using the native L&F.
`static boolean` | `isUnix()` Returns if we're running Unix (this includes MacOS X).
`static boolean` | `isWindows()` Returns if we're running Windows 95/98/ME/NT/2000/XP.
`static boolean` | `isWindows9x()` Returns if we're running Windows 95/98/ME.
`static boolean` | `isWindowsNT()` Returns if we're running Windows NT/2000/XP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatingSystem

    public OperatingSystem()

Method Detail

### isWindows

    public static final boolean isWindows()

  Returns if we're running Windows 95/98/ME/NT/2000/XP.

### isWindows9x

    public static final boolean isWindows9x()

  Returns if we're running Windows 95/98/ME.

### isWindowsNT

    public static final boolean isWindowsNT()

  Returns if we're running Windows NT/2000/XP.

### isUnix

    public static final boolean isUnix()

  Returns if we're running Unix (this includes MacOS X).

### isMacOS

    public static final boolean isMacOS()

  Returns if we're running MacOS X.

### isMacOSLF

    public static final boolean isMacOSLF()

  Returns if we're running MacOS X and using the native L&F.

### hasJava14

    public static final boolean hasJava14()

  Returns if Java 2 version 1.4 is in use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.